/* CSS que gestiona los espaciados según el tamaño de la pantalla de forma
descendente (Aplicando estilos desde ese tamaño a tamaños menores)
o ascendente (Aplicando estilos desde ese tamaño a tamaños mayores) */

/* ----------- ASCENDENTE (BOOTSTRAP) ----------- */

/* PHONE SIZE - Aplica en todos los tamaños */
@media screen {

}

/* SMALL (SM) - Aplica desde SM hasta LG (incluido) */
@media screen and (min-width: 768px){

    .contenedor-tabla-buscador {
        margin: 20px 20px 0 20px;
    }

    .modal {
        text-align: center;
    }
    .modal:before {
        display: inline-block;
        vertical-align: middle;
        content: " ";
        height: 100%;
    }

    .modal-dialog {
        display: inline-block;
        text-align: left;
        vertical-align: middle;
    }

    .modal-dialog {
        width: 750px;
    }

    .barra-superior {
        margin-right: 0px;
    }

    .contenedor-lista-buscador {
        padding-right: 10px !important;
    }
}

/* MEDIUM (MD) - Aplica desde MD hasta LG (incluido) */
@media screen and (min-width: 992px){

    .modal-dialog{
        width: 950px;
    }

}

/* LARGE (LG) - Aplica en LG */
@media screen and (min-width: 1200px){

    .modal-dialog{
        width: 80%;
    }

}

/* ----------- DESCENDENTE ----------- */

/* LARGE (LG) - Aplica en todos los tamaños */
@media screen {

}

/* MEDIUM (MD) - Aplica desde MD hasta XS (incluido) */
@media screen and (max-width: 1200px){
    .fila-elemento-ficha {
        padding-bottom: 15px;
    }

    .reduced-font-size h3 {
        font-size: 23px;
    }


}

/* SMALL (SM) - Aplica desde SM hasta XS (incluido) */
@media screen and (max-width: 992px){

    .modal-body{
        max-height: 600px !important;
        overflow-y: auto !important;
    }
}

/* PHONE SIZE - Aplica en XS */
@media screen and (max-width: 767px){

    .contenedor-tabla-buscador {
        margin-top: 0px;
    }

    .contenedor-lista-buscador {
        margin-left: 8px;
        margin-right: 8px;
    }

    .pagination>.active>span {
        z-index: 0 !important;
    }

    .panel-body {
        padding: 3px;
    }

    .campo-detalle {
        text-align: left !important;
    }

    .container-full {
        margin-left: 16px;
        margin-right: 16px;
        padding-left: 8px;
        padding-right: 8px;
    }

    .barra-superior {
        margin-left: -30px;
        margin-right: -30px;
        padding-left: 48px;
        padding-right: 48px;
    }

    .contenedor-xs-sombreado {

        padding: 15px ;

        -webkit-box-shadow: 0px 0px 12px 3px rgba(0,0,0,0.15);
        -moz-box-shadow: 0px 0px 12px 3px rgba(0,0,0,0.15);
        box-shadow: 0px 0px 12px 3px rgba(0,0,0,0.15);

        border-radius: 5px 5px 5px 5px;
        -moz-border-radius: 5px 5px 5px 5px;
        -webkit-border-radius: 5px 5px 5px 5px;
        border: 0px none #000000;
    }

}
